Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Functions
output.h File Reference
`#include "params.h"`
`#include "pageres.h"`
`#include "notdll.h"`

Go to the source code of this file.

## Functions

char | determine_newline_type (WERD *word, BLOCK *block, WERD *next_word, BLOCK *next_block)

## Function Documentation

char determine_newline_type | ( | WERD * | word,
|  | BLOCK * | block,
|  | WERD * | next_word,
|  | BLOCK * | next_block
| ) |  |

test line ends

Parameters:

  word | word to do
  block | current block
  next_word | next word
  next_block | block of next word

Definition at line 311 of file output.cpp.

{
inT16 end_gap; //to right edge
inT16 width; //of next word
TBOX word_box; //bounding
TBOX next_box; //next word
TBOX block_box; //block bounding
if (!word->flag (W_EOL))
return FALSE; //not end of line
if (next_word == NULL || next_block == NULL || block != next_block)
return CTRL_NEWLINE;
if (next_word->space () > 0)
return CTRL_HARDLINE; //it is tabbed
word_box = word->bounding_box ();
next_box = next_word->bounding_box ();
block_box = block->bounding_box ();
//gap to eol
end_gap = block_box.right () - word_box.right ();
end_gap -= (inT32) block->space ();
width = next_box.right () - next_box.left ();
// tprintf("end_gap=%d-%d=%d, width=%d-%d=%d, nl=%d\n",
// block_box.right(),word_box.right(),end_gap,
// next_box.right(),next_box.left(),width,
// end_gap>width ? CTRL_HARDLINE : CTRL_NEWLINE);
return end_gap > width ? CTRL_HARDLINE : CTRL_NEWLINE;
}